Container Apps Session Pools - Create Or Update

建立或更新具有指定屬性的工作階段集區。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/sessionPools/{sessionPoolName}?api-version=2026-07-01

URI 參數

名稱 位於 必要 類型 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

sessionPoolName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z][a-z0-9]*$

工作階段集區的名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求本文

名稱 必要 類型 Description
location True

string

資源所在的地理位置

identity

ManagedServiceIdentity

指派給此資源的受控服務識別。

properties.containerType

ContainerType

會話的容器類型。 你可以用自己的容器來建立會話池,或者用預設容器來執行特定語言的工作負載。

properties.customContainerTemplate

CustomContainerTemplate

如果 containerType 是 CustomContainer,則為自定義容器組態。

properties.dynamicPoolConfiguration

DynamicPoolConfiguration

如果 poolManagementType 是動態的,則為集區組態。

properties.environmentId

string (arm-id)

會話集區環境的資源標識碼。

properties.managedIdentitySettings

ManagedIdentitySetting[]

指派給會話集區之受控識別的選擇性設定。

properties.poolManagementType

PoolManagementType

會話集區的集區管理類型。

properties.scaleConfiguration

ScaleConfiguration

會話集區的調整組態。

properties.secrets

SessionPoolSecret[]

會話集區的秘密。

properties.sessionNetworkConfiguration

SessionNetworkConfiguration

會話集區中會話的網路組態。

tags

object

資源標籤。

回覆

名稱 類型 Description
200 OK

SessionPool

資源「SessionPool」更新操作成功

201 Created

SessionPool

資源「SessionPool」建立操作成功

標題

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 冒用您的使用者帳戶

範例

Create or Update Session Pool with lifecycle OnContainerExit Timed
Create or Update Session Pool with lifecycle type Timed
Create or Update Session Pool with MCP server

Create or Update Session Pool with lifecycle OnContainerExit Timed

範例要求

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool?api-version=2026-07-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "East US",
  "properties": {
    "containerType": "CustomContainer",
    "customContainerTemplate": {
      "containers": [
        {
          "name": "testinitcontainer",
          "args": [
            "-c",
            "while true; do echo hello; sleep 10;done"
          ],
          "command": [
            "/bin/sh"
          ],
          "image": "repo/testcontainer:v4",
          "resources": {
            "cpu": 0.25,
            "memory": "0.5Gi"
          }
        }
      ],
      "ingress": {
        "targetPort": 80
      },
      "registryCredentials": {
        "identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
        "server": "test.azurecr.io"
      }
    },
    "dynamicPoolConfiguration": {
      "lifecycleConfiguration": {
        "lifecycleType": "OnContainerExit",
        "maxAlivePeriodInSeconds": 86400
      }
    },
    "environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
    "managedIdentitySettings": [
      {
        "identity": "system",
        "lifecycle": "Main"
      }
    ],
    "poolManagementType": "Dynamic",
    "scaleConfiguration": {
      "maxConcurrentSessions": 500,
      "readySessionInstances": 100
    },
    "sessionNetworkConfiguration": {
      "status": "EgressEnabled"
    }
  }
}

範例回覆

{
  "name": "testsessionpool",
  "type": "Microsoft.App/sessionPools",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
    "tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
  },
  "location": "East US",
  "properties": {
    "containerType": "CustomContainer",
    "customContainerTemplate": {
      "containers": [
        {
          "name": "testinitcontainer",
          "args": [
            "-c",
            "while true; do echo hello; sleep 10;done"
          ],
          "command": [
            "/bin/sh"
          ],
          "image": "repo/testcontainer:v4",
          "resources": {
            "cpu": 0.25,
            "memory": "0.5Gi"
          }
        }
      ],
      "ingress": {
        "targetPort": 80
      },
      "registryCredentials": {
        "identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
        "server": "test.azurecr.io"
      }
    },
    "dynamicPoolConfiguration": {
      "lifecycleConfiguration": {
        "lifecycleType": "OnContainerExit",
        "maxAlivePeriodInSeconds": 86400
      }
    },
    "environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
    "nodeCount": 1,
    "poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
    "poolManagementType": "Dynamic",
    "provisioningState": "Succeeded",
    "scaleConfiguration": {
      "maxConcurrentSessions": 500,
      "readySessionInstances": 100
    },
    "sessionNetworkConfiguration": {
      "status": "EgressEnabled"
    }
  }
}
{
  "name": "testsessionpool",
  "type": "Microsoft.App/sessionPools",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
    "tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
  },
  "location": "East US",
  "properties": {
    "containerType": "CustomContainer",
    "customContainerTemplate": {
      "containers": [
        {
          "name": "testinitcontainer",
          "args": [
            "-c",
            "while true; do echo hello; sleep 10;done"
          ],
          "command": [
            "/bin/sh"
          ],
          "image": "repo/testcontainer:v4",
          "resources": {
            "cpu": 0.25,
            "memory": "0.5Gi"
          }
        }
      ],
      "ingress": {
        "targetPort": 80
      },
      "registryCredentials": {
        "identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
        "server": "test.azurecr.io"
      }
    },
    "dynamicPoolConfiguration": {
      "lifecycleConfiguration": {
        "lifecycleType": "OnContainerExit",
        "maxAlivePeriodInSeconds": 86400
      }
    },
    "environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
    "managedIdentitySettings": [
      {
        "identity": "system",
        "lifecycle": "Main"
      }
    ],
    "poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
    "poolManagementType": "Dynamic",
    "provisioningState": "InProgress",
    "scaleConfiguration": {
      "maxConcurrentSessions": 500,
      "readySessionInstances": 100
    },
    "sessionNetworkConfiguration": {
      "status": "EgressEnabled"
    }
  }
}

Create or Update Session Pool with lifecycle type Timed

範例要求

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool?api-version=2026-07-01

{
  "identity": {
    "type": "SystemAssigned"
  },
  "location": "East US",
  "properties": {
    "containerType": "CustomContainer",
    "customContainerTemplate": {
      "containers": [
        {
          "name": "testinitcontainer",
          "args": [
            "-c",
            "while true; do echo hello; sleep 10;done"
          ],
          "command": [
            "/bin/sh"
          ],
          "image": "repo/testcontainer:v4",
          "resources": {
            "cpu": 0.25,
            "memory": "0.5Gi"
          }
        }
      ],
      "ingress": {
        "targetPort": 80
      },
      "registryCredentials": {
        "identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
        "server": "test.azurecr.io"
      }
    },
    "dynamicPoolConfiguration": {
      "lifecycleConfiguration": {
        "cooldownPeriodInSeconds": 600,
        "lifecycleType": "Timed"
      }
    },
    "environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
    "managedIdentitySettings": [
      {
        "identity": "system",
        "lifecycle": "Main"
      }
    ],
    "poolManagementType": "Dynamic",
    "scaleConfiguration": {
      "maxConcurrentSessions": 500,
      "readySessionInstances": 100
    },
    "sessionNetworkConfiguration": {
      "status": "EgressEnabled"
    }
  }
}

範例回覆

{
  "name": "testsessionpool",
  "type": "Microsoft.App/sessionPools",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
    "tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
  },
  "location": "East US",
  "properties": {
    "containerType": "CustomContainer",
    "customContainerTemplate": {
      "containers": [
        {
          "name": "testinitcontainer",
          "args": [
            "-c",
            "while true; do echo hello; sleep 10;done"
          ],
          "command": [
            "/bin/sh"
          ],
          "image": "repo/testcontainer:v4",
          "resources": {
            "cpu": 0.25,
            "memory": "0.5Gi"
          }
        }
      ],
      "ingress": {
        "targetPort": 80
      },
      "registryCredentials": {
        "identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
        "server": "test.azurecr.io"
      }
    },
    "dynamicPoolConfiguration": {
      "lifecycleConfiguration": {
        "cooldownPeriodInSeconds": 600,
        "lifecycleType": "Timed"
      }
    },
    "environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
    "nodeCount": 1,
    "poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
    "poolManagementType": "Dynamic",
    "provisioningState": "Succeeded",
    "scaleConfiguration": {
      "maxConcurrentSessions": 500,
      "readySessionInstances": 100
    },
    "sessionNetworkConfiguration": {
      "status": "EgressEnabled"
    }
  }
}
{
  "name": "testsessionpool",
  "type": "Microsoft.App/sessionPools",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "bce8c037-3d10-44a4-a970-25f799611fc6",
    "tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47"
  },
  "location": "East US",
  "properties": {
    "containerType": "CustomContainer",
    "customContainerTemplate": {
      "containers": [
        {
          "name": "testinitcontainer",
          "args": [
            "-c",
            "while true; do echo hello; sleep 10;done"
          ],
          "command": [
            "/bin/sh"
          ],
          "image": "repo/testcontainer:v4",
          "resources": {
            "cpu": 0.25,
            "memory": "0.5Gi"
          }
        }
      ],
      "ingress": {
        "targetPort": 80
      },
      "registryCredentials": {
        "identity": "/subscriptions/7a497526-bb8d-4816-9795-db1418a1f977/resourcegroups/test/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testSP",
        "server": "test.azurecr.io"
      }
    },
    "dynamicPoolConfiguration": {
      "lifecycleConfiguration": {
        "cooldownPeriodInSeconds": 600,
        "lifecycleType": "Timed"
      }
    },
    "environmentId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/managedEnvironments/demokube",
    "managedIdentitySettings": [
      {
        "identity": "system",
        "lifecycle": "Main"
      }
    ],
    "poolManagementEndpoint": "https://testsessionpool.agreeableriver-3d30edf1.eastus.azurecontainerapps.io",
    "poolManagementType": "Dynamic",
    "provisioningState": "InProgress",
    "scaleConfiguration": {
      "maxConcurrentSessions": 500,
      "readySessionInstances": 100
    },
    "sessionNetworkConfiguration": {
      "status": "EgressEnabled"
    }
  }
}

Create or Update Session Pool with MCP server

範例要求

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool?api-version=2026-07-01

{
  "location": "East US",
  "properties": {
    "containerType": "Shell",
    "dynamicPoolConfiguration": {
      "lifecycleConfiguration": {
        "cooldownPeriodInSeconds": 600,
        "lifecycleType": "Timed"
      }
    },
    "poolManagementType": "Dynamic",
    "scaleConfiguration": {
      "maxConcurrentSessions": 50
    },
    "sessionNetworkConfiguration": {
      "status": "EgressEnabled"
    }
  }
}

範例回覆

{
  "name": "testsessionpool",
  "type": "Microsoft.App/sessionPools",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
  "location": "East US",
  "properties": {
    "containerType": "Shell",
    "dynamicPoolConfiguration": {
      "lifecycleConfiguration": {
        "cooldownPeriodInSeconds": 600,
        "lifecycleType": "Timed"
      }
    },
    "poolManagementEndpoint": "https://eastus.dynamicsessions.io/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/sessionPools/testsessionpool",
    "poolManagementType": "Dynamic",
    "provisioningState": "Succeeded",
    "scaleConfiguration": {
      "maxConcurrentSessions": 50
    },
    "sessionNetworkConfiguration": {
      "status": "EgressEnabled"
    }
  }
}
{
  "name": "testsessionpool",
  "type": "Microsoft.App/sessionPools",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/providers/Microsoft.App/sessionPools/testsessionpool",
  "location": "East US",
  "properties": {
    "containerType": "Shell",
    "dynamicPoolConfiguration": {
      "lifecycleConfiguration": {
        "cooldownPeriodInSeconds": 600,
        "lifecycleType": "Timed"
      }
    },
    "poolManagementEndpoint": "https://eastus.dynamicsessions.io/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/rg/sessionPools/testsessionpool",
    "poolManagementType": "Dynamic",
    "provisioningState": "InProgress",
    "scaleConfiguration": {
      "maxConcurrentSessions": 50
    },
    "sessionNetworkConfiguration": {
      "status": "EgressEnabled"
    }
  }
}

定義

名稱 Description
ContainerType

會話的容器類型。 你可以用自己的容器來建立會話池,或者用預設容器來執行特定語言的工作負載。

createdByType

建立此資源的身分識別類型。

CustomContainerTemplate

自定義容器組態。

DynamicPoolConfiguration

動態集區組態。

EnvironmentVar

容器應用程式容器環境變數。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

錯誤回應

LifecycleConfiguration

動態工作階段集區中會話的生命週期組態屬性

LifecycleType

會話集區的生命週期類型。

ManagedIdentitySetting

指派給會話集區之受控識別的選擇性設定。

ManagedServiceIdentity

受控服務識別(系統指派和/或使用者指派的身分識別)

ManagedServiceIdentityType

受控服務識別的類型(允許 SystemAssigned 和 UserAssigned 類型)。

PoolManagementType

會話集區的集區管理類型。

ScaleConfiguration

調整組態。

Scheme

用於連線到主機的配置。 默認為 HTTP。

SessionContainer

會話集區的會話容器定義。

SessionContainerResources

會話集區的容器資源需求。

SessionIngress

會話集區輸入組態。

SessionNetworkConfiguration

會話網路設定。

SessionNetworkStatus

工作階段的網路狀態。

SessionPool

容器應用程式會話集區。

SessionPoolIdentityLifeCycle

使用 來選取會話集區的生命週期階段,其中應該提供受控識別。

SessionPoolProvisioningState

會話集區的布建狀態。

SessionPoolSecret

秘密定義。

SessionProbe

工作階段探測配置。

SessionProbeHttpGet

HTTPGet 指定要執行的 HTTP 要求。

SessionProbeHttpGetHttpHeadersItem

HTTPHeader 描述要用於 HTTP 探查的自定義標頭

SessionProbeTcpSocket

TCPSocket 會指定涉及 TCP 連接埠的動作。 尚不支援 TCP 攔截。

SessionProbeType

表示探測的類型。 可以是 Liveness 或 Startup,會話中不支援 Readiness 探測。 在探測器清單 (SessionProbes) 的上下文中,Type 對於每個探測器必須是唯一的。

SessionRegistryCredentials

會話集區私人登錄認證。

systemData

與建立和上次修改資源相關的元數據。

UserAssignedIdentity

使用者指派的身分識別屬性

ContainerType

會話的容器類型。 你可以用自己的容器來建立會話池,或者用預設容器來執行特定語言的工作負載。

值 Description
CustomContainer

CustomContainer

PythonLTS

PythonLTS

createdByType

建立此資源的身分識別類型。

值 Description
User
Application
ManagedIdentity
Key

CustomContainerTemplate

自定義容器組態。

名稱 類型 Description
containers

SessionContainer[]

會話集區的會話容器定義清單。

ingress

SessionIngress

會話集區輸入組態。

registryCredentials

SessionRegistryCredentials

會話集區之會話所使用的容器的私人容器登錄認證。

DynamicPoolConfiguration

動態集區組態。

名稱 類型 Description
lifecycleConfiguration

LifecycleConfiguration

動態工作階段集區中會話的生命週期設定

EnvironmentVar

容器應用程式容器環境變數。

名稱 類型 Description
name

string

環境變數名稱。

secretRef

string

要從中提取環境變數值的容器應用程式秘密名稱。

value

string

非秘密環境變數值。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

其他資訊。

type

string

其他信息類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤的其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

LifecycleConfiguration

動態工作階段集區中會話的生命週期組態屬性

名稱 類型 Description
cooldownPeriodInSeconds

integer (int32)

當生命週期類型為 『Timed』 時,會話的冷卻期間會以秒為單位。

lifecycleType

LifecycleType

會話集區的生命週期類型。

maxAlivePeriodInSeconds

integer (int32)

生命週期類型為 『OnContainerExit』 時,會話的生存期間上限以秒為單位。

LifecycleType

會話集區的生命週期類型。

值 Description
Timed

定時

OnContainerExit

OnContainerExit

ManagedIdentitySetting

指派給會話集區之受控識別的選擇性設定。

名稱 類型 預設值 Description
identity

string

指派給會話集區之使用者指派受控識別的資源標識符,或系統指派身分識別的「系統」。

lifecycle

SessionPoolIdentityLifeCycle

None

使用 來選取會話集區的生命週期階段,其中應該提供受控識別。

ManagedServiceIdentity

受控服務識別(系統指派和/或使用者指派的身分識別)

名稱 類型 Description
principalId

string (uuid)

系統指派身分識別的服務主體標識碼。 此屬性只會針對系統指派的身分識別提供。

tenantId

string (uuid)

系統指派身分識別的租用戶標識碼。 此屬性只會針對系統指派的身分識別提供。

type

ManagedServiceIdentityType

受控服務識別的類型(允許 SystemAssigned 和 UserAssigned 類型)。

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned 身分識別
與資源相關聯的使用者指派身分識別集。 userAssignedIdentities 字典索引鍵的格式為 ARM 資源標識符:'/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}。 字典值可以是要求中的空白物件({})。

ManagedServiceIdentityType

受控服務識別的類型(允許 SystemAssigned 和 UserAssigned 類型)。

值 Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

PoolManagementType

會話集區的集區管理類型。

值 Description
Manual

Manual

Dynamic

動態

ScaleConfiguration

調整組態。

名稱 類型 Description
maxConcurrentSessions

integer (int32)

同時會話的最大計數。

readySessionInstances

integer (int32)

就緒會話實例的最小計數。

Scheme

用於連線到主機的配置。 默認為 HTTP。

值 Description
HTTP

HTTP

HTTPS

HTTPS

SessionContainer

會話集區的會話容器定義。

名稱 類型 Description
args

string[]

容器啟動命令自變數。

command

string[]

容器啟動命令。

env

EnvironmentVar[]

容器環境變數。

image

string

容器映像標記。

name

string

自訂容器名稱。

probes

SessionProbe[]

容器的探查清單。

resources

SessionContainerResources

容器資源需求。

SessionContainerResources

會話集區的容器資源需求。

名稱 類型 Description
cpu

number (double)

核心中所需的CPU,例如0.5

memory

string

所需的記憶體,例如 “250Mb”

SessionIngress

會話集區輸入組態。

名稱 類型 Description
targetPort

integer (int32)

來自輸入流量的容器中目標埠

SessionNetworkConfiguration

會話網路設定。

名稱 類型 Description
status

SessionNetworkStatus

工作階段的網路狀態。

SessionNetworkStatus

工作階段的網路狀態。

值 Description
EgressEnabled

EgressEnabled

EgressDisabled

EgressDisabled

SessionPool

容器應用程式會話集區。

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

identity

ManagedServiceIdentity

指派給此資源的受控服務識別。

location

string

資源所在的地理位置

name

string

資源的名稱

properties.containerType

ContainerType

會話的容器類型。 你可以用自己的容器來建立會話池,或者用預設容器來執行特定語言的工作負載。

properties.customContainerTemplate

CustomContainerTemplate

如果 containerType 是 CustomContainer,則為自定義容器組態。

properties.dynamicPoolConfiguration

DynamicPoolConfiguration

如果 poolManagementType 是動態的,則為集區組態。

properties.environmentId

string (arm-id)

會話集區環境的資源標識碼。

properties.managedIdentitySettings

ManagedIdentitySetting[]

指派給會話集區之受控識別的選擇性設定。

properties.nodeCount

integer (int32)

會話集區所使用的節點數目。

properties.poolManagementEndpoint

string (uri)

要管理集區的端點。

properties.poolManagementType

PoolManagementType

會話集區的集區管理類型。

properties.provisioningState

SessionPoolProvisioningState

會話集區的布建狀態。

properties.scaleConfiguration

ScaleConfiguration

會話集區的調整組態。

properties.secrets

SessionPoolSecret[]

會話集區的秘密。

properties.sessionNetworkConfiguration

SessionNetworkConfiguration

會話集區中會話的網路組態。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

tags

object

資源標籤。

type

string

資源的類型。 例如:「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」

SessionPoolIdentityLifeCycle

使用 來選取會話集區的生命週期階段,其中應該提供受控識別。

值 Description
None

在任何生命週期階段,請勿使用受管理身份。

Main

在容器應用程式生命週期的主要階段使用管理身份。

SessionPoolProvisioningState

會話集區的布建狀態。

值 Description
InProgress

InProgress

Succeeded

成功

Failed

失敗

Canceled

已取消

Deleting

刪除中

SessionPoolSecret

秘密定義。

名稱 類型 Description
name

string

秘密名稱。

value

string (password)

秘密值。

SessionProbe

工作階段探測配置。

名稱 類型 Description
failureThreshold

integer (int32)

探查在成功之後,要視為失敗的最小連續失敗。 預設值為 3。 最小值為 1。 最大值為 10。

httpGet

SessionProbeHttpGet

HTTPGet 指定要執行的 HTTP 要求。

initialDelaySeconds

integer (int32)

在起始活躍度探查之前,容器啟動後的秒數。 最小值為 1。 最大值為 60。

periodSeconds

integer (int32)

執行探查的頻率(以秒為單位)。 預設值為 10 秒。 最小值為 1。 最大值為 240。

successThreshold

integer (int32)

探查在失敗后要視為成功的最小連續成功。 預設值為 1。 對於活躍度和啟動,必須是1。 最小值為 1。 最大值為 10。

tcpSocket

SessionProbeTcpSocket

TCPSocket 會指定涉及 TCP 連接埠的動作。 尚不支援 TCP 攔截。

terminationGracePeriodSeconds

integer (int64)

Pod 必須在探查失敗時正常終止的選擇性持續時間,以秒為單位。 寬限期是在 Pod 中執行的進程傳送終止訊號,以及以終止訊號強制停止進程的時間後,以秒為單位的持續時間。 設定此值的時間超過程式的預期清除時間。 如果此值為 nil,將會使用 Pod 的終止GracePeriodSeconds。 否則,此值會覆寫Pod規格所提供的值。值必須是非負整數。 值零表示透過終止訊號立即停止(沒有機會關閉)。 這是Alpha字段,需要啟用 ProbeTerminationGracePeriod 功能閘道。 最大值為 3600 秒(1 小時)

timeoutSeconds

integer (int32)

探查逾時後的秒數。預設值為 1 秒。 最小值為 1。 最大值為 240。

type

SessionProbeType

表示探測的類型。 可以是 Liveness 或 Startup,會話中不支援 Readiness 探測。 在探測器清單 (SessionProbes) 的上下文中,Type 對於每個探測器必須是唯一的。

SessionProbeHttpGet

HTTPGet 指定要執行的 HTTP 要求。

名稱 類型 Description
host

string

要連線的主機名,預設為 Pod IP。 您可能想要改為在 HTTPHeaders 中設定 「Host」。

httpHeaders

SessionProbeHttpGetHttpHeadersItem[]

在要求中設定的自定義標頭。 HTTP 允許重複的標頭。

path

string

HTTP 伺服器上存取的路徑。

port

integer (int32)

要存取容器的埠名稱或號碼。 數字必須介於 1 到 65535 的範圍內。 名稱必須是IANA_SVC_NAME。

scheme

Scheme

用於連線到主機的配置。 默認為 HTTP。

SessionProbeHttpGetHttpHeadersItem

HTTPHeader 描述要用於 HTTP 探查的自定義標頭

名稱 類型 Description
name

string

標頭功能變數名稱

value

string

標頭域值

SessionProbeTcpSocket

TCPSocket 會指定涉及 TCP 連接埠的動作。 尚不支援 TCP 攔截。

名稱 類型 Description
host

string

選擇性:要連線的主機名,預設為 Pod IP。

port

integer (int32)

要存取容器的埠數目或名稱。 數字必須介於 1 到 65535 的範圍內。 名稱必須是IANA_SVC_NAME。

SessionProbeType

表示探測的類型。 可以是 Liveness 或 Startup,會話中不支援 Readiness 探測。 在探測器清單 (SessionProbes) 的上下文中,Type 對於每個探測器必須是唯一的。

值 Description
Liveness

檢查會談是否仍在進行且健康。

Startup

檢查會話是否已成功開始。

SessionRegistryCredentials

會話集區私人登錄認證。

名稱 類型 Description
identity

string

一個管理身份(Managed Identity)用來與 Azure Container Registry 進行認證。 針對使用者指派的身分識別,請使用使用者指派的完整身分識別資源標識碼。 針對系統指派的身分識別,請使用 'system'

passwordSecretRef

string

包含登錄登入密碼的秘密名稱

server

string

容器登錄伺服器。

username

string

容器登錄用戶名稱。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立此資源的身分。

createdByType

createdByType

建立此資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分類型。

UserAssignedIdentity

使用者指派的身分識別屬性

名稱 類型 Description
clientId

string (uuid)

指派之身分識別的用戶端標識碼。

principalId

string (uuid)

指派之身分識別的主體標識碼。